[CentOS] rpmforge, perl-dbd-mysql, yum, priorities, centos, and you

Joe Pruett joey at clean.q7.com
Wed Oct 8 17:40:21 UTC 2008


rpmforge has just released a new perl-DBD-mysql for el4 that has an 
obsoletes against perl-DBD-MySQL and the protectbase yum plugin doesn't 
grok obsoletes.  the priorities plugin does.  so if you are having issues 
with this, install the yum-plugin-priorities first, make sure that the 
CentOS-Base repo is priority 1 and the rpmforge repo is priority 2 or 
higher (99 is the default).

also, i'd like to suggest that the priorities plugin be made added to the 
base install and that the centos-base repos be configured with priority 1. 
it looks like c4 has the priority setting, but c5 doesn't and neither have 
the plugin installed.  it seems like this would create a little more 
stable setup for people when they start adding other repos.


More information about the CentOS mailing list